VULKAN_HPP_NAMESPACE::PhysicalDeviceMultiviewFeatures Struct Reference

`#include <vulkan.hpp>`

## Public Member Functions

| PhysicalDeviceMultiviewFeatures (Bool32 multiview_=0, Bool32 multiviewGeometryShader_=0, Bool32 multiviewTessellationShader_=0)
| PhysicalDeviceMultiviewFeatures (VkPhysicalDeviceMultiviewFeatures const &rhs)
PhysicalDeviceMultiviewFeatures & | operator= (VkPhysicalDeviceMultiviewFeatures const &rhs)
PhysicalDeviceMultiviewFeatures & | setPNext (void *pNext_)
PhysicalDeviceMultiviewFeatures & | setMultiview (Bool32 multiview_)
PhysicalDeviceMultiviewFeatures & | setMultiviewGeometryShader (Bool32 multiviewGeometryShader_)
PhysicalDeviceMultiviewFeatures & | setMultiviewTessellationShader (Bool32 multiviewTessellationShader_)
| operator VkPhysicalDeviceMultiviewFeatures const & () const
| operator VkPhysicalDeviceMultiviewFeatures & ()
bool | operator== (PhysicalDeviceMultiviewFeatures const &rhs) const
bool | operator!= (PhysicalDeviceMultiviewFeatures const &rhs) const

## Data Fields

void * | pNext = nullptr
Bool32 | multiview
Bool32 | multiviewGeometryShader
Bool32 | multiviewTessellationShader

## Private Attributes

StructureType | sType = StructureType::ePhysicalDeviceMultiviewFeatures

## Detailed Description

Definition at line 13963 of file vulkan.hpp.

## Constructor & Destructor Documentation

## PhysicalDeviceMultiviewFeatures() [1/2]

VULKAN_HPP_NAMESPACE::PhysicalDeviceMultiviewFeatures::PhysicalDeviceMultiviewFeatures | ( | Bool32 | multiview_ = `0`,
|  | Bool32 | multiviewGeometryShader_ = `0`,
|  | Bool32 | multiviewTessellationShader_ = `0`
| ) |  |

inline

Definition at line 13965 of file vulkan.hpp.

: multiview( multiview_ )
, multiviewGeometryShader( multiviewGeometryShader_ )
, multiviewTessellationShader( multiviewTessellationShader_ )
{
}

## PhysicalDeviceMultiviewFeatures() [2/2]

VULKAN_HPP_NAMESPACE::PhysicalDeviceMultiviewFeatures::PhysicalDeviceMultiviewFeatures | ( | VkPhysicalDeviceMultiviewFeatures const & | rhs | ) |

inline

Definition at line 13974 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( PhysicalDeviceMultiviewFeatures ) );
}

References memcpy.

## Member Function Documentation

## operator VkPhysicalDeviceMultiviewFeatures &()

VULKAN_HPP_NAMESPACE::PhysicalDeviceMultiviewFeatures::operator VkPhysicalDeviceMultiviewFeatures & | ( |  | ) |

inline

Definition at line 14013 of file vulkan.hpp.

{
return *reinterpret_cast<VkPhysicalDeviceMultiviewFeatures*>(this);
}

## operator VkPhysicalDeviceMultiviewFeatures const &()

VULKAN_HPP_NAMESPACE::PhysicalDeviceMultiviewFeatures::operator VkPhysicalDeviceMultiviewFeatures const & | ( |  | ) | const

inline

Definition at line 14008 of file vulkan.hpp.

{
return *reinterpret_cast<const VkPhysicalDeviceMultiviewFeatures*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::PhysicalDeviceMultiviewFeatures::operator!= | ( | PhysicalDeviceMultiviewFeatures const & | rhs | ) | const

inline

Definition at line 14027 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator=()

PhysicalDeviceMultiviewFeatures& VULKAN_HPP_NAMESPACE::PhysicalDeviceMultiviewFeatures::operator= | ( | VkPhysicalDeviceMultiviewFeatures const & | rhs | ) |

inline

Definition at line 13979 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( PhysicalDeviceMultiviewFeatures ) );
return *this;
}

References memcpy.

## operator==()

bool VULKAN_HPP_NAMESPACE::PhysicalDeviceMultiviewFeatures::operator== | ( | PhysicalDeviceMultiviewFeatures const & | rhs | ) | const

inline

Definition at line 14018 of file vulkan.hpp.

{
return ( sType == rhs.sType )
&& ( pNext == rhs.pNext )
&& ( multiview == rhs.multiview )
&& ( multiviewGeometryShader == rhs.multiviewGeometryShader )
&& ( multiviewTessellationShader == rhs.multiviewTessellationShader );
}

References multiview, multiviewGeometryShader, multiviewTessellationShader, pNext, and sType.

Referenced by operator!=().

## setMultiview()

PhysicalDeviceMultiviewFeatures& VULKAN_HPP_NAMESPACE::PhysicalDeviceMultiviewFeatures::setMultiview | ( | Bool32 | multiview_ | ) |

inline

Definition at line 13990 of file vulkan.hpp.

{
multiview = multiview_;
return *this;
}

References multiview.

## setMultiviewGeometryShader()

PhysicalDeviceMultiviewFeatures& VULKAN_HPP_NAMESPACE::PhysicalDeviceMultiviewFeatures::setMultiviewGeometryShader | ( | Bool32 | multiviewGeometryShader_ | ) |

inline

Definition at line 13996 of file vulkan.hpp.

{
multiviewGeometryShader = multiviewGeometryShader_;
return *this;
}

References multiviewGeometryShader.

## setMultiviewTessellationShader()

PhysicalDeviceMultiviewFeatures& VULKAN_HPP_NAMESPACE::PhysicalDeviceMultiviewFeatures::setMultiviewTessellationShader | ( | Bool32 | multiviewTessellationShader_ | ) |

inline

Definition at line 14002 of file vulkan.hpp.

{
multiviewTessellationShader = multiviewTessellationShader_;
return *this;
}

References multiviewTessellationShader.

## setPNext()

PhysicalDeviceMultiviewFeatures& VULKAN_HPP_NAMESPACE::PhysicalDeviceMultiviewFeatures::setPNext | ( | void * | pNext_ | ) |

inline

Definition at line 13984 of file vulkan.hpp.

{
pNext = pNext_;
return *this;
}

References pNext.

## Field Documentation

## multiview

Bool32 VULKAN_HPP_NAMESPACE::PhysicalDeviceMultiviewFeatures::multiview

Definition at line 14037 of file vulkan.hpp.

Referenced by operator==(), and setMultiview().

## multiviewGeometryShader

Bool32 VULKAN_HPP_NAMESPACE::PhysicalDeviceMultiviewFeatures::multiviewGeometryShader

Definition at line 14038 of file vulkan.hpp.

Referenced by operator==(), and setMultiviewGeometryShader().

## multiviewTessellationShader

Bool32 VULKAN_HPP_NAMESPACE::PhysicalDeviceMultiviewFeatures::multiviewTessellationShader

Definition at line 14039 of file vulkan.hpp.

Referenced by operator==(), and setMultiviewTessellationShader().

## pNext

void* VULKAN_HPP_NAMESPACE::PhysicalDeviceMultiviewFeatures::pNext = nullptr

Definition at line 14036 of file vulkan.hpp.

Referenced by operator==(), and setPNext().

## sType

StructureType VULKAN_HPP_NAMESPACE::PhysicalDeviceMultiviewFeatures::sType = StructureType::ePhysicalDeviceMultiviewFeatures

private

Definition at line 14033 of file vulkan.hpp.

Referenced by operator==().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VULKAN_HPP_NAMESPACE::PhysicalDeviceMultiviewFeatures::sType
StructureType sType
Definition: vulkan.hpp:14033
VULKAN_HPP_NAMESPACE::PhysicalDeviceMultiviewFeatures::multiviewGeometryShader
Bool32 multiviewGeometryShader
Definition: vulkan.hpp:14038
VULKAN_HPP_NAMESPACE::PhysicalDeviceMultiviewFeatures::pNext
void * pNext
Definition: vulkan.hpp:14036
VULKAN_HPP_NAMESPACE::PhysicalDeviceMultiviewFeatures::multiview
Bool32 multiview
Definition: vulkan.hpp:14037
memcpy
#define memcpy
Definition: SDL_malloc.c:630
VULKAN_HPP_NAMESPACE::PhysicalDeviceMultiviewFeatures::PhysicalDeviceMultiviewFeatures
PhysicalDeviceMultiviewFeatures(Bool32 multiview_=0, Bool32 multiviewGeometryShader_=0, Bool32 multiviewTessellationShader_=0)
Definition: vulkan.hpp:13965
VkPhysicalDeviceMultiviewFeatures
Definition: vulkan_core.h:4256
VULKAN_HPP_NAMESPACE::PhysicalDeviceMultiviewFeatures::operator==
bool operator==(PhysicalDeviceMultiviewFeatures const &rhs) const
Definition: vulkan.hpp:14018
VULKAN_HPP_NAMESPACE::PhysicalDeviceMultiviewFeatures::multiviewTessellationShader
Bool32 multiviewTessellationShader
Definition: vulkan.hpp:14039